@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';


$excel-popups__configurable-flow-container-outer--space-x: $container-spacing-default__third * 2;
$excel-popups__configurable-flow-container-outer--space-y: $container-spacing-default__third;
$excel-popups__configurable-flow-container--margin: ($excel-popups__configurable-flow-container-outer--space-y  * -1) ($excel-popups__configurable-flow-container-outer--space-x * -1);

$attrpicker__value-container--width: 40%;
$attrpicker__main-container--bg-color: $white;
$attrpicker__main-container--border-top: $boxes--border__thin solid $grey__default;
$attrpicker__main-container--min-height: 250px;
$attrpicker__container-inner--space: $container-spacing-default__third;
$attrpicker__configurable-flow-container--margin: nth($excel-popups__configurable-flow-container--margin,1) 0;
$attrpicker__configurable-flow-main-container--margin: 0 nth($excel-popups__configurable-flow-container--margin,2);
$attrpicker__configurable-flow-main-container--width: calc(100% + #{nth($attrpicker__configurable-flow-main-container--margin, 2) * -2});
$attrpicker__value-tree-inner--padding: nth($excel-popups__configurable-flow-container--margin, 2)*-1;
$attrpicker__value-tree-inner--margin: $attrpicker__value-tree-inner--padding * -1;
$attrpicker__value-tree-outer--margin: nth($attrpicker__configurable-flow-main-container--margin,2);
$attrpicker__value-tree-outer--padding: nth($attrpicker__configurable-flow-main-container--margin,2) * -1;
$attrpicker__value-filter--margin: 8px 0 $container-spacing-default__third;
$attrpicker__value-container--padding-top: $container-spacing-default__third;
$attrpicker__value-label--font-weight:  $font-weight-bold;

$attrpicker__choose-button-container--padding: 0 $attrpicker__container-inner--space;
$attrpicker__choose-button-container--border: $boxes--border__medium solid $grey__default;
$attrpicker__choose-button-container--border-width: 0 nth($attrpicker__choose-button-container--border, 1);
$attrpicker__choose-button--font-weight: $font-weight-normal;
$attrpicker__choose-button--border: $boxes--border__thin solid $blue__default;
$attrpicker__choose-button--color: $blue__default;
$attrpicker__choose-button--bg-color: transparent;
$attrpicker__choose-button--margin-top: $attrpicker__container-inner--space;
$attrpicker__choose-button-hover--bg-color: $blue__default;
$attrpicker__choose-button-hover--color: $white;
$attrpicker__choose-button-arrow--margin: $container-spacing-default__half;
$attrpicker__choose-button-arrow-side--padding: $container-spacing-default__base;
$attrpicker__choose-button-arrow--font: $font-family-fontawesome;
$attrpicker__choose-button--border-radius: 2px;

$attrpicker__checkbox-row--margin: 5px 0;

$attrpicker__add-button--content: $anglearrow__right--content;
$attrpicker__remove-button--content: $anglearrow__left--content;

$attrpicker__open-button--content: $anglearrow__down--content;
$attrpicker__close-button--content: $anglearrow__up--content;

$attrpicker__attr-selected-icon--color: $blue__default;
$attrpicker__attr-mandatory-icon--color: $grey__default;
$attrpicker__attr-mandatory-cell--bg-color: rgba($grey__light--600, 0.5);
$attrpicker__attr-mandatory-label-after--margin-left: 2px;

$attrpicker__attr-icon--size: 14px;
$attrpicker__attr-icon--margin-top: ceil($attrpicker__attr-icon--size / 2)*-1;
$attrpicker__attr-icon--width: 24px;
$attrpicker__attr-check-icon--padding-left: 3px;

$attrpicker__attr-cell--border-radius: 3px;
$attrpicker__attr-cell--border: $boxes--border__thin solid $grey__default;
$attrpicker__attr-cell--margin-bottom: 5px;
$attrpicker__attr-cell--padding: $container-spacing-default__third 4px;

$attrpicker__notifier-label--margin-top: $container-spacing-default__third * -1;
$attrpicker__notifier-label--color: $white;
$attrpicker__notifier-label--font-weight: $font-weight-bold;
$attrpicker__notifier-container--bg-color: rgba($black__blueish--200, 0.85);
$attrpicker__notifier-container--animation: prompt-animation 0.2s linear;

$attrpicker__options-container--height: 40px;
$attrpicker__notifier-container--top: $attrpicker__options-container--height;
$attrpicker__attr-tree-header-shadow--color: $attrpicker__main-container--bg-color;
$attrpicker__attr-tree-header-shadow--box-shadow: 0 0 5px 3px;
$attrpicker__attr-tree--max-height: 550px;
$attrpicker__attr-tree--padding-top: 5px;

$attrpicker__attr-expand-btn--height: 18px;
$attrpicker__attr-localized-expand-btn-icon--size: 16px;
$attrpicker__attr-localized-expand-btn-icon--margin-top: floor($attrpicker__attr-localized-expand-btn-icon--size/2) * -1;
$attrpicker__attr-localized-expand-btn-icon-arrow--margin-right: $attrpicker__attr-localized-expand-btn-icon--size;
$attrpicker__attr-localized-expand-btn-icon--right: -2px;
$attrpicker__attr-localized-expand-btn--margin-right: $container-spacing-default__third;
$attrpicker__attr-localized-expand-btn--color: $blue__greyish--400;
$attrpicker__attr-localized-selected-expand-btn--color: $blue__default;
$attrpicker__attr-localized-selected-expand-btn-icon--bg-position: 0 ($attrpicker__attr-localized-expand-btn-icon--size * -1);
$attrpicker__attr-localized-label--padding-right: ($attrpicker__attr-localized-expand-btn-icon--size * 2 + 6px);
$attrpicker__attr-localized-child-cell--padding: 4px 8px;
$attrpicker__attr-localized-child-cell--margin-left: 25px;
$attrpicker__attr-localized-child-cell--width: calc(100% - #{$attrpicker__attr-localized-child-cell--margin-left});
$attrpicker__attr-localized-language-label--border: $boxes--border__thin solid $blue__default;
$attrpicker__attr-localized-language-label--padding: 2px;
$attrpicker__attr-localized-language-label--bg-color: $blue__light--200;
$attrpicker__attr-localized-language-label--min-width: 45px;
$attrpicker__attr-localized-language-label--border-radius: 3px;
$attrpicker__attr-localized-language-label--height: 24px;
$attrpicker__attr-localized-language-cell-content--padding: (nth($attrpicker__attr-localized-language-label--border, 1) + nth($attrpicker__attr-localized-language-label--padding, 1)) 0;
$attrpicker__attr-localized-language-label--margin: (ceil($attrpicker__attr-localized-language-label--height/2)*-1) ($attrpicker__attr-localized-expand-btn--margin-right - 4px) (nth($attrpicker__attr-localized-language-cell-content--padding, 1)*-1) 0;
$attrpicker__attr-localized-child-label--padding-right: $attrpicker__attr-localized-language-label--min-width + nth($attrpicker__attr-localized-language-label--margin, 2);

$excel-import-wizard__upload-btn--border: $attrpicker__choose-button--border;
$excel-import-wizard__upload-btn--color: $attrpicker__choose-button--color;
$excel-import-wizard__upload-btn--bg-color: $attrpicker__choose-button--bg-color;
$excel-import-wizard__upload-btn-hover--bg-color: $attrpicker__choose-button-hover--bg-color;
$excel-import-wizard__upload-btn-hover--color: $attrpicker__choose-button-hover--color;

$excel-import-wizard__drop-area--height: 140px;

$excel-import-wizard__component-container--margin: $container-spacing-default__half 0;

$excel-import-wizard__drop-area-icon--width: 120px;
$excel-import-wizard__drop-area-icon--height: 48px;
$excel-import-wizard__drop-area-icon--margin-top: $container-spacing-default__third;// ceil($excel-import-wizard__drop-area-icon--height/2)*-1;
$excel-import-wizard__drop-area-icon--margin-left: $excel-import-wizard__drop-area-icon--width*-1;
$excel-import-wizard__drop-area-icon--bg: url('../images/excel/icon_upload-file-area.svg') no-repeat 0 0;

$excel-import-wizard__drop-area--color: $grey__default--600;
$excel-import-wizard__drop-area--border-radius: $attrpicker__attr-cell--border-radius;
$excel-import-wizard__drop-area--border: $boxes--border__thin dashed $excel-import-wizard__drop-area--color;
$excel-import-wizard__drop-area--bg-color: transparent;
$excel-import-wizard__drop-area-on-add--bg-color: $grey__light--1200;
$excel-import-wizard__drop-area-label--padding-left: $excel-import-wizard__drop-area-icon--width;

$excel-import-wizard__attachment-item--border-top: $boxes--border__thin solid $grey__default;
$excel-import-wizard__attachment-item--padding: 5px 0;
$excel-import-wizard__attachment-delete-btn--size: 24px;
$excel-import-wizard__attachment-label--height: $excel-import-wizard__attachment-delete-btn--size;
$excel-import-wizard__attachment-label--line-height: $excel-import-wizard__attachment-delete-btn--size;
$excel-import-wizard__attachment-label--max-width: calc(100% - #{$excel-import-wizard__attachment-delete-btn--size + 5px});
$excel-import-wizard__attachment-entry--font-size: $font-size__small;
$excel-import-wizard__attachment-entry-icon--margin-right: 5px;

$wizard-attrpicker__bp-l--min-height: 680px;
$wizard-attrpicker__bp-m--min-height: 540px;

$wizard-attrpicker__attr-tree-bp-l--max-height: calc(100vh - 430px);
$wizard-attrpicker__attr-tree-bp-m--max-height: calc(100vh - 386px);

/* Small Window */
$small-wizard-attrpicker__attr-tree--max-height: 300px;
$small-wizard-attrpicker__choose-button-container--padding: $attrpicker__container-inner--space $attrpicker__container-inner--space;
$small-wizard-attrpicker__choose-button-container--border-width: nth($attrpicker__choose-button-container--border, 1) 0;
$small-wizard-attrpicker__choose-button--max-width: 40%;

$small-wizard-attrpicker__remove-button--margin-right: $container-spacing-default__half;
$small-wizard-attrpicker__remove-button--content: $anglearrow__up--content;
$small-wizard-attrpicker__add-button--content: $anglearrow__down--content;

/*** MIXINS ***/

@mixin cell-indent($level){
  width: calc(100% - #{($level - 1)*$attrpicker__attr-localized-child-cell--margin-left});
  margin-left: ($level - 1)*$attrpicker__attr-localized-child-cell--margin-left;
}